> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get app

> Get installed app info by package name



## OpenAPI

````yaml get /boxes/{boxId}/android/apps/{packageName}
openapi: 3.0.0
info:
  title: GBOX Open API
  description: GBOX Open API Documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://gbox.ai/api/v1
    description: Production Server
security: []
tags: []
paths:
  /boxes/{boxId}/android/apps/{packageName}:
    get:
      tags:
        - Android
      summary: Get app
      description: Get installed app info by package name
      operationId: AndroidController_getAndroidApp
      parameters:
        - name: boxId
          required: true
          in: path
          description: Box ID
          schema:
            example: c9bdc193-b54b-4ddb-a035-5ac0c598d32d
            type: string
        - name: packageName
          required: true
          in: path
          description: Android app package name
          schema:
            example: com.example.myapp
            type: string
      responses:
        '200':
          description: Android app
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AndroidApp'
      security:
        - bearer: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import GboxSDK from "gbox-sdk";

            const gboxSDK = new GboxSDK({
              apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
            });

            async function main() {
              // Create an Android box
              const box = await gboxSDK.create({ type: "android" });

              // Get Android app details by package name
              const androidAppInfo = await box.app.getInfo("com.android.chrome"); // package name
              console.log(`Android App: ${JSON.stringify(androidAppInfo, null, 2)}`);

              // Get app operator for interaction capabilities
              const androidApp = await box.app.get("com.android.chrome");

              // Open the app
              await androidApp.open();
            }

            main();
        - lang: Python
          source: |-
            import os
            from gbox_sdk import GboxSDK

            def main():
                gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"])  # This is the default and can be omitted

                # Create an Android box
                box = gbox_sdk.create(type="android")

                # Get Android app details by package name
                android_app_info = box.app.get_info("com.android.chrome")  # package name
                print(f"Android App: {android_app_info}")

                # Get app operator for interaction capabilities
                android_app = box.app.get("com.android.chrome")  # package name

                # Open the app
                android_app.open()

            if __name__ == "__main__":
                main()
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\t\"log\"\n\t\"os\"\n\n\t\"github.com/gbox/gbox-sdk-go\"\n)\n\nfunc main() {\n\tgboxSDK := gbox.NewGboxSDK(os.Getenv(\"GBOX_API_KEY\")) // This is the default and can be omitted\n\n\t// Create an Android box\n\tbox, err := gboxSDK.Create(context.Background(), gbox.CreateRequest{Type: \"android\"})\n\tif err != nil {\n\t\tlog.Fatalf(\"Failed to create box: %v\", err)\n\t}\n\n\t// Get Android app details by package name\n\tandroidAppInfo, err := box.App.GetInfo(context.Background(), \"com.android.chrome\") // package name\n\tif err != nil {\n\t\tlog.Fatalf(\"Failed to get Android app info: %v\", err)\n\t}\n\tfmt.Printf(\"Android App: %+v\\n\", androidAppInfo)\n\n\t// Get app operator for interaction capabilities\n\tandroidApp, err := box.App.Get(context.Background(), \"com.android.chrome\") // package name\n\tif err != nil {\n\t\tlog.Fatalf(\"Failed to get Android app: %v\", err)\n\t}\n\n\t// Open the app\n\terr = androidApp.Open(context.Background())\n\tif err != nil {\n\t\tlog.Fatalf(\"Failed to open Android app: %v\", err)\n\t}\n}"
components:
  schemas:
    AndroidApp:
      type: object
      properties:
        packageName:
          type: string
          description: App package name
          example: com.android.settings
        activityName:
          type: string
          description: Activity name
          example: Settings
        activityClassName:
          type: string
          description: Activity class name
          example: com.android.settings.Settings
      title: Android App
      description: Android app
      required:
        - packageName
        - activityName
        - activityClassName
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        Enter your API Key in the format: Bearer <token>. Get it from
        https://gbox.ai

````